Loading...
Searching...
No Matches
CopyableOpApplier< IterT, OpT > Class Template Reference

`#include <openvdb/tools/ValueTransformer.h>`

## Public Types

using | IterRange = typename tree::IteratorRange< IterT >

## Public Member Functions

| CopyableOpApplier (const IterT &iter, const OpT &op)
| CopyableOpApplier (const CopyableOpApplier &other)
void | process (bool threaded=true)
void | operator() (IterRange &r) const

## Member Typedef Documentation

## IterRange

template<typename IterT , typename OpT >

using IterRange = typename tree::IteratorRange<IterT>

## Constructor & Destructor Documentation

## CopyableOpApplier() [1/2]

template<typename IterT , typename OpT >

CopyableOpApplier | ( | const IterT & | iter,
|  | const OpT & | op
| ) |  |

inline

## CopyableOpApplier() [2/2]

template<typename IterT , typename OpT >

CopyableOpApplier | ( | const CopyableOpApplier< IterT, OpT > & | other | ) |

inline

## Member Function Documentation

## operator()()

template<typename IterT , typename OpT >

void operator() | ( | IterRange & | r | ) | const

inline

## process()

template<typename IterT , typename OpT >

void process | ( | bool | threaded = `true` | ) |

inline